Bug 832560 - [abrt] 389-ds-base-1.2.10.6-1.fc16: slapi_attr_value_cmp: Process /usr/sbin/ns-slapd was killed by signal 11 (SIGSEGV)
[abrt] 389-ds-base-1.2.10.6-1.fc16: slapi_attr_value_cmp: Process /usr/sbin/n...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: 389-ds-base (Show other bugs)
6.4
x86_64 Unspecified
high Severity high
: rc
: ---
Assigned To: Rich Megginson
Sankar Ramalingam
abrt_hash:681cc1efece86179925a1c35fd8...
: ZStream
Depends On: 832506
Blocks: 834096
  Show dependency treegraph
 
Reported: 2012-06-15 14:16 EDT by Noriko Hosoi
Modified: 2013-02-21 03:18 EST (History)
7 users (show)

See Also:
Fixed In Version: 389-ds-base-1.2.11.12-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: When a replication was configured and a conflict occurred, if an attribute to be deleted was already deleted by other master, the error check was not enough. Consequence: The conflict crashes the server. Fix: Added better error checks. Result: Any replication conflicts do not crash the server.
Story Points: ---
Clone Of: 832506
Environment:
Last Closed: 2013-02-21 03:18:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Noriko Hosoi 2012-06-15 14:16:00 EDT
+++ This bug was initially created as a clone of Bug #832506 +++

libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /usr/sbin/ns-slapd -D /etc/dirsrv/slapd-ELADIAN-COM -i /var/run/dirsrv/slapd-ELADIAN-COM.pid -w /var/run/dirsrv/slapd-ELADIAN-COM.startpid
comment:        Newly created replica of FreeIPA server on F16, crashes fairly soon after startup.
crash_function: slapi_attr_value_cmp
executable:     /usr/sbin/ns-slapd
kernel:         3.3.8-1.fc16.x86_64
pid:            2305
pwd:            /var/log/dirsrv/slapd-ELADIAN-COM
reason:         Process /usr/sbin/ns-slapd was killed by signal 11 (SIGSEGV)
time:           Fri 15 Jun 2012 10:55:22 AM EDT
uid:            995
username:       dirsrv

backtrace:      Text file, 107659 bytes
dso_list:       Text file, 8664 bytes
maps:           Text file, 47158 bytes

build_ids:
:28579c89bda7f08dace218884d7a5561f3f5f89d
:9512464215edc1554941e95778c584400644a0f9
:89017ab0b75e533e4294f74ee8f7db3daceea536
:3a2c00058f6bc91272c8846d553d3834fab0f3c2
:20636bd24ca415499a99e709f8ff392bd962f414
:3ba5302e34546a45e9a85ac3429e7bc6ed624011
:6ba9409fb9f58785e255d94fc533fbf1d1fe35fd
:abecc5e5a7e74b486583aefc2d4957de0ee441e4
:5083c24b4fd7dbf3cac9cf4c15876b0dfdceb4bb
:dd8106edd02ab9cb84bd426e3e1c24b2e96d7e20
:8d4c1cc04914e6f8dce0b485275a05d510543280
:8925791a58a766717900856a9563e7c45b8d84f5
:18d2d32c7fa9200b6d3d8a62714f0a1e40288a93
:14063d4a97bae5e96c07a1a7c0e6ca5c982839f3
:98d779eb18d19289fd05fe4ff9c53686a680a971
:5ac56dbb5866c475e1b0c3e4ceeb390b0f7508c0
:33792af9963f0176ffee6c6c4c42b59e0989beaa
:1029b3fe870dbd477a918a46dfaa7f26e035040a
:6b504a975f37152bf3e8a7c5fc906113768f7366
:c49811439aeff6168ae82e7cf808a8c03b1c9e48
:99917897d3d23c194aa27068c687c61614e42919
:aa80405dede524c56e90ea08ccd8449595153b73
:ac4a9f268a1272f731978ebe6fad6ce0a2d833f4
:fdff2d98463ddd6e8c3883936e12070b2d039e58
:7689506c401bb36bf4b722b5ac9f5534d3259d59
:2a7df6dc20821a8e109c2cb56e1fdf4465043e99
:bb5c9b5cca6d04252b061a2f840ab4ddfda9e733
:87ab5aa145cd7bca0d9c228ad91201f316235765
:f8b52f008b320162c055822b2c11ee27ffefdc51
:c3356ef2f0e4701d83c221d106db44832c517ed1
:a9791ba4315ed37156e8316c3e1380d8af2e33dd
:3aeb8fe8da1fe06f17c25f848c3a668529516839
:4b4285058f7f6b39b7e7c45df83fd36c6833bfe4
:0e442957ac18ac558dd87e12560f266fb86ad04f
:58803db420709341d8e6a713b18e54a6e1824272
:cd0646f08f8fc7a8a3b4c1ce3c192e52ecaf9152
:96d1d49f80e8de2aecf96e365e6084ddd0fd60c9
:becd659eed7de052463589399fb1ed3f4efa072e
:fc684ef0fc723dcb68a88799b8fb98e68e5f7441
:17f981cb9dbb88e65022c2d49ef5f939da321833
:f2e24eed69cdecfdc16ed844c315a295459441ff
:ee2f04900ae1f07517d91eba300ef385fccab1b8
:61aea344c391d8ca2c072b40c36b74bc28711038
:7a41c1ee8a714a59dae96b74650c7026be4221bb
:e05737728ab732fe7f2fdded4b50aaf4e9463997
:014f0b7194ec5a98c89d47805cc82618bcb63e51
:0ce9819eb7014de7e72eec40979dd5e4d6566dca
:82d6364667340665021cb2cbd721192dbc29a474
:c7257a4e151a67aa3136befd91bc0ea35317ab52
:f8f4d8e260ee8f3b262936920270ace01b2da537
:5ba371439acb075c48406bd7c66c80594d91c7e7
:554df288b0b14e9e10ca508a8eec33b210336247
:c33244f1d5bb3e0cfb8665c7408e934082cad015
:abc332849acb69dfa92712da05cf46d473464e6a
:e4c87e745dbc082dcd7089dce76ff8e96b2d2781
:6502dd4813f98137c70e6e05cc43828f5c2263c1
:c0f90cfa1a57a818bb024f93075d8cf1a525de89
:75eaece6e0d1e075520cdfad5c398fdab4370846
:4d74b01eb1589aadb2d8690b61386f963f27c1b2
:e814ef8432b7dec42a0b8ec12b9abd9fc7f57b40
:b3ea2a321ce1faf08b7f6391f34ef0cf74f37a6d
:8822ec50a7ca08984b34af0b3096794a5085c473
:1a9fc51036eb815c09220773934dd5f66a9d71dd
:9efd824bf587def50099e2ae657a5cce012fa658
:5a491e02e37595592ec20c9c8c17442a46d8ddc6
:c9935fd7490a83c80f93133202705a253a93d24f
:af0aef46082989badb3a2323d5cee18b5354b25a
:6b455b6a3afcfab45c2b2376e202b50d33cac2b5
:12fdc5a85e732c3f5e8b57d5d2901f36654c88ff
:4d0b901f82acd30569a00185a62ee59c07ba9e75
:bbb7c497ff14faf6e1a51da91e884427f670517f
:552354979eebf3d6c27346691a5b520ccf8f4e75
:368c3cee84c23ec196abdf632219adea6bc31f4f
:4eb3195fbbce250ae7c1af6f58d6d2ef1615b9f7
:38973180f7e5f53233c8127eb7b45ce0f076b2fb
:8c49577fba3c97a9de9331b5245737f6250e831c
:350285d7b5edc1c98cc7774fbf70fbf40de8c611
:45bf1465b17f9565b1fc942e8ca26ce655a51fbf
:e9b8dda085362283f7e2ad303812fc61911f3f5a
:e8c610a9499f2143ef1344a66051860a5fc2e528
:31d51890faad49e4565a95ca21d7c7a7a1ac628a
:783377522ec616d424b6c6850756d6f8139f3b25
:debd77c5edb1a46588d7cf80aca3ef2641f518a2
:e567a4b498aa9dfc484575e666a17925f0944318
:49b4fe7a5a8a78aeb25717e0a70a0187284bdb91
:3437fbc1b9876f2d55c8c9beffbda021a61b1e61
:7a896ce784b97721d1f6960bfba25e60511c0178
:12f7326885e79c7a690d8b6a22109af42760f6af
:050f6b5715d5d1e7c3bdef455e0ff77adba64d20
:c7d627d9595e2c12869a507598ccb8023dda0ce5

environ:
:BOOT_IMAGE=/vmlinuz-3.3.8-1.fc16.x86_64
:PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
:SYSFONT=latarcyrheb-sun16
:LANG=en_US.UTF-8
:PWD=/
:KEYTABLE=us
:'ulimit -n 8192'
:'ulimit -c unlimited'
:KRB5_KTNAME=/etc/dirsrv/ds.keytab
:'export KRB5_KTNAME=/etc/dirsrv/ds.keytab'
:SERVER_DIR=/usr/lib64/dirsrv
:SERVERBIN_DIR=/usr/sbin
:CONFIG_DIR=/etc/dirsrv/slapd-ELADIAN-COM
:INST_DIR=/var/lib/dirsrv/scripts-ELADIAN-COM
:RUN_DIR=/var/run/dirsrv
:PRODUCT_NAME=slapd

var_log_messages:
:Jun 14 16:46:20 ipa1-nyc4 ns-slapd: GSSAPI Error: Unspecified GSS failure.  Minor code may provide more information (Credentials cache file '/tmp/krb5cc_995' not found)
:Jun 14 16:46:25 ipa1-nyc4 ns-slapd: GSSAPI Error: Unspecified GSS failure.  Minor code may provide more information (Credentials cache file '/tmp/krb5cc_995' not found)
:Jun 14 16:46:38 ipa1-nyc4 ns-slapd: GSSAPI Error: Unspecified GSS failure.  Minor code may provide more information (Credentials cache file '/tmp/krb5cc_995' not found)
:Jun 14 16:46:42 ipa1-nyc4 ns-slapd: GSSAPI Error: Unspecified GSS failure.  Minor code may provide more information (Credentials cache file '/tmp/krb5cc_995' not found)
:Jun 14 16:47:07 ipa1-nyc4 ns-slapd: GSSAPI Error: Unspecified GSS failure.  Minor code may provide more information (Credentials cache file '/tmp/krb5cc_995' not found)
:Jun 14 16:47:54 ipa1-nyc4 ns-slapd: GSSAPI Error: Unspecified GSS failure.  Minor code may provide more information (Credentials cache file '/tmp/krb5cc_995' not found)
:Jun 14 16:48:16 ipa1-nyc4 ns-slapd: GSSAPI Error: Unspecified GSS failure.  Minor code may provide more information (Credentials cache file '/tmp/krb5cc_995' not found)
:Jun 14 16:48:22 ipa1-nyc4 ns-slapd: GSSAPI Error: Unspecified GSS failure.  Minor code may provide more information (Credentials cache file '/tmp/krb5cc_995' not found)
:Jun 15 10:15:04 ipa1-nyc4 kernel: [  302.338458] ns-slapd[1415]: segfault at 10 ip 00007fabf51c3b5f sp 00007fabc47e96f0 error 4 in libslapd.so.0.0.0[7fabf5182000+ef000]
:Jun 15 10:50:56 ipa1-nyc4 ns-slapd: GSSAPI Error: Unspecified GSS failure.  Minor code may provide more information (Credentials cache file '/tmp/krb5cc_995' not found)
:Jun 15 10:51:27 ipa1-nyc4 kernel: [ 2486.107784] ns-slapd[1891]: segfault at 10 ip 00007f1c417a4b5f sp 00007f1c1eff66f0 error 4 in libslapd.so.0.0.0[7f1c41763000+ef000]
:Jun 15 10:52:13 ipa1-nyc4 ns-slapd: GSSAPI Error: Unspecified GSS failure.  Minor code may provide more information (Credentials cache file '/tmp/krb5cc_995' not found)
:Jun 15 10:53:01 ipa1-nyc4 kernel: [ 2579.808869] ns-slapd[2200]: segfault at 10 ip 00007f841b9fdb5f sp 00007f83eefee6f0 error 4 in libslapd.so.0.0.0[7f841b9bc000+ef000]
:Jun 15 10:53:33 ipa1-nyc4 ns-slapd: GSSAPI Error: Unspecified GSS failure.  Minor code may provide more information (Credentials cache file '/tmp/krb5cc_995' not found)
:Jun 15 10:53:47 ipa1-nyc4 kernel: [ 2625.792444] ns-slapd[2277]: segfault at 10 ip 00007f8569661b5f sp 00007f85367e56f0 error 4 in libslapd.so.0.0.0[7f8569620000+ef000]
:Jun 15 10:54:50 ipa1-nyc4 ns-slapd: GSSAPI Error: Unspecified GSS failure.  Minor code may provide more information (Credentials cache file '/tmp/krb5cc_995' not found)
:Jun 15 10:55:22 ipa1-nyc4 kernel: [ 2720.321845] ns-slapd[2323]: segfault at 10 ip 00007f5df9aaeb5f sp 00007f5dd2ff66f0 error 4 in libslapd.so.0.0.0[7f5df9a6d000+ef000]
:Jun 15 10:55:23 ipa1-nyc4 abrt[2403]: Saved core dump of pid 2305 (/usr/sbin/ns-slapd) to /var/spool/abrt/ccpp-2012-06-15-10:55:22-2305 (389025792 bytes)

--- Additional comment from jcape@ignore-your.tv on 2012-06-15 10:59:52 EDT ---

Created attachment 592150 [details]
File: dso_list

--- Additional comment from jcape@ignore-your.tv on 2012-06-15 10:59:54 EDT ---

Created attachment 592151 [details]
File: maps

--- Additional comment from jcape@ignore-your.tv on 2012-06-15 10:59:56 EDT ---

Created attachment 592152 [details]
File: backtrace

--- Additional comment from rmeggins@redhat.com on 2012-06-15 11:52:57 EDT ---

This looks similar to https://fedorahosted.org/389/ticket/347 and https://fedorahosted.org/389/ticket/382 but not exactly - these issues are fixed in 1.2.10.9, available from updates-testing - can you try it?

yum update --enablerepo=updates-testing 389-ds-base 389-ds-base-libs 389-ds-base-debuginfo

--- Additional comment from jcape@ignore-your.tv on 2012-06-15 12:11:37 EDT ---

Yeah, already tried, same crash.

--- Additional comment from nhosoi@redhat.com on 2012-06-15 13:46:02 EDT ---

Can we have your configuration/steps to reproduce the problem?

For instance, do you have multiple masters?  If yes, how many?

Could it be possible to share your error log and access log on the crashed server?
(/var/log/dirsrv/slapd-<ID>/{access,errors})
Comment 6 Jenny Galipeau 2012-06-19 14:34:05 EDT
please add steps to verify this bug
Comment 11 Steeve Goveas 2012-12-03 04:13:09 EST
Verifying
Comment 12 Sankar Ramalingam 2012-12-05 09:43:11 EST
No crash observed while running the scripts attached in bugzilla #834096.
https://bugzilla.redhat.com/show_bug.cgi?id=834096#c7

Hence, marking the bug as Verified.
Comment 14 errata-xmlrpc 2013-02-21 03:18:03 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0503.html

Note You need to log in before you can comment on or make changes to this bug.